Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherShapePathProperty

    java.lang.Object
      org.apache.poi.ddf.EscherProperty
          org.apache.poi.ddf.EscherSimpleProperty
              org.apache.poi.ddf.EscherShapePathProperty

    public class EscherShapePathProperty

extends EscherSimpleProperty

Defines the constants for the various possible shape paths.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static int` | `CLOSED_CURVES`
`static int` | `CLOSED_POLYGON`
`static int` | `COMPLEX`
`static int` | `CURVES`
`static int` | `LINE_OF_STRAIGHT_SEGMENTS`

Constructor Summary
`EscherShapePathProperty(short propertyNumber, int shapePath)`

Method Summary

Methods inherited from class org.apache.poi.ddf.EscherSimpleProperty
`equals, getPropertyValue, hashCode, serializeComplexPart, serializeSimplePart, toString`

Methods inherited from class org.apache.poi.ddf.EscherProperty
`getId, getName, getPropertyNumber, getPropertySize, isBlipId, isComplex`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LINE_OF_STRAIGHT_SEGMENTS

    public static final int LINE_OF_STRAIGHT_SEGMENTS

See Also:
  Constant Field Values

### CLOSED_POLYGON

    public static final int CLOSED_POLYGON

See Also:
  Constant Field Values

### CURVES

    public static final int CURVES

See Also:
  Constant Field Values

### CLOSED_CURVES

    public static final int CLOSED_CURVES

See Also:
  Constant Field Values

### COMPLEX

    public static final int COMPLEX

See Also:
  Constant Field Values

Constructor Detail

### EscherShapePathProperty

    public EscherShapePathProperty(short propertyNumber,
                                   int shapePath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD